summaryrefslogtreecommitdiffstats
path: root/games/mupen64plus
diff options
context:
space:
mode:
author M.Dinslage <daedra{at}charter{dot}net>2010-05-13 00:26:44 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-13 00:26:44 +0200
commitfbdb543d41b89b822635d2a62e9944c985b16bf7 (patch)
tree0b6b19e03e891658379dfb626586ff8081664bb7 /games/mupen64plus
parent897a493e66c937c6830cf2fb101529d962408dd8 (diff)
downloadslackbuilds-fbdb543d41b89b822635d2a62e9944c985b16bf7.tar.gz
slackbuilds-fbdb543d41b89b822635d2a62e9944c985b16bf7.tar.xz
games/mupen64plus: Updated for version 1.5
Diffstat (limited to 'games/mupen64plus')
-rw-r--r--games/mupen64plus/README6
-rw-r--r--games/mupen64plus/mupen64plus.SlackBuild36
-rw-r--r--games/mupen64plus/mupen64plus.desktop2
-rw-r--r--games/mupen64plus/mupen64plus.info15
-rw-r--r--games/mupen64plus/mupen64plus.pngbin0 -> 11408 bytes
5 files changed, 39 insertions, 20 deletions
diff --git a/games/mupen64plus/README b/games/mupen64plus/README
index dcfbae714b..325ae91fdf 100644
--- a/games/mupen64plus/README
+++ b/games/mupen64plus/README
@@ -3,3 +3,9 @@ of accurately playing many games. Included are four MIPS R4300 CPU
emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64
systems, and necessary plugins for audio, graphical rendering (RDP),
signal co-processor (RSP), and input.
+
+By default the gtk2 GUI will be built. To build the Qt4 GUI pass GTK2=no
+to the script.
+
+libsamplerate is an optional (but recommended) dependency.
+It is also available from SlackBuilds.org \ No newline at end of file
diff --git a/games/mupen64plus/mupen64plus.SlackBuild b/games/mupen64plus/mupen64plus.SlackBuild
index c007640ccf..4a35d08365 100644
--- a/games/mupen64plus/mupen64plus.SlackBuild
+++ b/games/mupen64plus/mupen64plus.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for Mupen64Plus
# Copyright 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Modified by M.Dinslage
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +24,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=mupen64plus
-VERSION=${VERSION:-1.4.1}
+VERSION=${VERSION:-1.5}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -35,18 +36,27 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+if [ "${GTK2:-yes}" = "yes" ]; then
+ gui_opt="GTK2"
+else
+ gui_opt="QT4"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
-rm -rf Mupen64Plus-1-4-1-src
-unzip $CWD/Mupen64Plus-1-4-1-src.zip || exit 1
-cd Mupen64Plus-1-4-1-src || exit 1
+rm -rf Mupen64Plus-1-5-src
+tar xzvf $CWD/Mupen64Plus-1-5-src.tar.gz || exit 1
+cd Mupen64Plus-1-5-src || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -56,28 +66,28 @@ find . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-make PREFIX=/usr all || exit 1
+make PREFIX=/usr GUI=$gui_opt all || exit 1
make PREFIX=$PKG/usr install || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a LICENCE.TXT README* RELEASE TODO \
+cp -a LICENSES README* RELEASE TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/usr/share/{applications,pixmaps}
cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-( cd $PKG/usr/share/pixmaps
- ln -s ../mupen64plus/icons/logo.xpm mupen64plus.xpm
-)
+cat $CWD/mupen64plus.png > $PKG/usr/share/pixmaps/mupen64plus.png
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/mupen64plus/mupen64plus.desktop b/games/mupen64plus/mupen64plus.desktop
index f294276452..ecf7fb6c76 100644
--- a/games/mupen64plus/mupen64plus.desktop
+++ b/games/mupen64plus/mupen64plus.desktop
@@ -6,5 +6,5 @@ Exec=mupen64plus
Terminal=false
Type=Application
Categories=Application;Game;Emulator;
-Icon=mupen64plus.xpm
+Icon=/usr/share/pixmaps/mupen64plus.png
StartupNotify=false
diff --git a/games/mupen64plus/mupen64plus.info b/games/mupen64plus/mupen64plus.info
index d52b2b3b5a..c7380c19bd 100644
--- a/games/mupen64plus/mupen64plus.info
+++ b/games/mupen64plus/mupen64plus.info
@@ -1,8 +1,11 @@
PRGNAM="mupen64plus"
-VERSION="1.4.1"
+VERSION="1.5"
HOMEPAGE="http://code.google.com/p/mupen64plus/"
-DOWNLOAD="http://mupen64plus.googlecode.com/files/Mupen64Plus-1-4-1-src.zip"
-MD5SUM="bd59542e17107844e6b3b139a1177551"
-MAINTAINER="Frank Caraballo"
-EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="dsomero"
+DOWNLOAD="http://ftp.riken.go.jp/pub/FreeBSD/distfiles/mupen64plus/Mupen64Plus-1-5-src.tar.gz"
+MD5SUM="c224b045d343ff02f6f933d328861b01"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra{at}charter{dot}net"
+APPROVED="pprkut"
+
diff --git a/games/mupen64plus/mupen64plus.png b/games/mupen64plus/mupen64plus.png
new file mode 100644
index 0000000000..26c80c4031
--- /dev/null
+++ b/games/mupen64plus/mupen64plus.png
Binary files differ